Subject: Re: Guix-emacs doesn't work

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 25 Mar 2023 23:46:41 +0100

Ryan Prior <[email-masked]> writes:

>> this no longer seems to be a problem. Can you please confirm that this
>> issue can be closed now?
>
> I can confirm that the emacs-guix package is still broken.
>
> ## Steps to reproduce
> 1. launch Emacs in a container:
>   $ guix shell -C --no-cwd --expose=/gnu --expose=/var --share=/tmp  -E DISPLAY emacs emacs-guix -- emacs
> 2. run M-x guix-installed-packages
>
> ### Expected result
> A list of installed packages should appear.

FWIW M-x guix-installed-packages (and all the other stuff) works for me
with my Emacs config.  I haven’t tried to reproduce this in a container
yet without my Emacs config, but I’ll try soon.

-- 
Ricardo